unit uChartSeriesList;

interface

uses
  TeEngine,
  Chart,
  Rubies;

var
  cChartSeriesList: Tvalue;

function ap_cChartSeriesList: Tvalue;
function ap_iChartSeriesList(real: TChartSeriesList; owner: Tvalue): Tvalue;
procedure Init_ChartSeriesList;

implementation

uses
  Classes,
  //uDefUtils, 
  //uIntern, 
  //uHandle, 
  //uAlloc, 
  //uProp, 
  //uPhi,
  //uSizeConstraints, 
  //uFont,
  //uPersistent, 
  //uComponent, 
  //uControl,
  Pythia;

function ap_cChartSeriesList: Tvalue;
begin
  result := cChartSeriesList;
end;

procedure ChartSeriesList_setup(obj: Tvalue; real: TChartSeriesList);
begin
//    AssignPropMethod(real, [Handle]);
end;

function ChartSeriesList_event_handle(This, name: Tvalue): Tvalue; cdecl;
begin
  //EventHandle(This, name, [Handle]);
  result := Qnil;
end;

function ChartSeriesList_alloc(This: Tvalue; real: TChartSeriesList): Tvalue;
begin
//  result := ChildAlloc(This, real);
//  [エラー] uChartSeriesList.pas(54): 'TComponent' と 'TChartSeriesList' には互換性がありません
  result := TmpAlloc(This, real);  // ????
  ChartSeriesList_setup(result, real);
end;

function ap_iChartSeriesList(real: TChartSeriesList; owner: Tvalue): Tvalue;
begin
  result := ChartSeriesList_alloc(cChartSeriesList, real);
  ap_owner(result, owner);
end;

function ap_iChartSeriesList_v(var AControl; owner: Tvalue): Tvalue;
begin
  result := ap_iChartSeriesList(TChartSeriesList(AControl), owner);
end;

procedure Init_ChartSeriesList;
begin
//  OutputConstSetType(mPhi, TypeInfo(TBevelCut));
  cChartSeriesList := rb_define_class_under(ap_mPhi, 'ChartSeriesList', ap_cObject);
  rb_define_method(cChartSeriesList, 'event_handle', @ChartSeriesList_event_handle, 1);
end;

end.
